#!/bin/sh
# Generates HTML-based reports of product version information. Use the -help option for details.
# See versionInfo to retrieve reports interactively.

PRG="$0"
while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '.*/.*' > /dev/null; then
        PRG="$link"
    else
        PRG=`dirname "$PRG"`/"$link"
    fi
done
PRGDIR=`dirname "$PRG"`

. "$PRGDIR"/setenv.sh

"$JAVA_HOME/bin/java" -classpath "$WASCE_HOME/_uninst/uninstaller.jar" com.ibm.wasce.version.VersionInfo -home "$WASCE_HOME" -format html -file "$WASCE_HOME/var/temp/VersionReport.html" "$@"
